namespace PlcSiemens.O
{
    public class RequestHandle<TRequest> where TRequest : IBuildRequest, new()
    {
        public TRequest Request { get; set; }

        public RequestHandle()
        {
            Request = new TRequest();
        }

        public void Build()
        {
            Request.Build();
        }

        public ByteBuffer GetBuffer()
        {
            return Request.GetBuffer();
        }
    }
}
